Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v5.0
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    Templates

    # Get Chart Template List

    Returns the available Chart templates in the template library and the system variables supported by the templates.

    Request

    GET /openapi/templates/charts
    
    1

    Permission

    This endpoint requires a valid API token.

    Response Description

    Parameter NameTypeDescription
    system_variables[]SystemVariableSystem variable list
    chart_templates[]ChartTemplateChart template list

    SystemVariable Parameter Description

    Parameter NameTypeDescription
    keystringVariable name
    descriptionstringDescription

    ChartTemplate Parameter Description

    Parameter NameTypeDescription
    namestringTemplate name
    codehost_idintCode host ID
    ownerstringRepository owner
    namespacestringRepository namespace
    repostringRepository name
    pathstringTemplate path
    branchstringBranch name

    Response Example

    {
        "system_variables": [
            {
                "key": "$T-Project$",
                "description": "Project name"
            }
        ],
        "chart_templates": [
            {
                "name": "demo",
                "codehost_id": 1,
                "owner": "koderover",
                "namespace": "charts",
                "repo": "demo-chart",
                "path": "charts/demo",
                "branch": "main"
            }
        ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19

    ← Performance InsightPermission→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式